Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453188 - Implement hibernate associations
Summary: Implement hibernate associations
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Customer Support Portal
Classification: Retired
Component: Web-General
Version: 1.3.9
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: ---
Assignee: Nathan Lugert
QA Contact: David Spalding
URL:
Whiteboard:
Depends On: 453190 453193 453196 453199 453201 453205 453206
Blocks: HibernateIssues
TreeView+ depends on / blocked
 
Reported: 2008-06-27 18:52 UTC by John Sanda
Modified: 2015-01-20 00:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-05 18:34:49 UTC
Type: ---


Attachments (Terms of Use)

Description John Sanda 2008-06-27 18:52:55 UTC
Description of problem:
We are lacking mapped associations from most of our domain model. Consequently,
we have a 1-to-1 mapping between entity classes and tables. We are missing out
on what is probably the greatest feature of hibernate, which is the ability to
abstract the relational model. More importantly, we have a lot of code that
simply would not be needed if associations were implemented.

This is intended to be a top-level marker bug. Separate bugs will be filed for
each missing association.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 David Spalding 2011-01-05 18:34:49 UTC
Superceded by Avalon. This component is no longer valid.


Note You need to log in before you can comment on or make changes to this bug.